/* nand public constants */

#define SIZE_ID_STD	8
#define SIZE_ID_ONFI	5
#define SIZE_ID_JEDEC	6

/* macros */

#define max(x,y)	((x)<(y)?(y):(x))

/* nand public functions prototypes */

void nand_init(void);
uint8_t die_is_busy(uint8_t die);
void nand_reset(void);
uint8_t *nand_get_std_ID(int die);
uint8_t *nand_get_ONFI_ID(int die);
uint8_t *nand_get_JEDEC_ID(int die);
